diff --git a/src/main/java/net/minecraft/core/net/packet/EntityNicknamePacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityNickname.java
similarity index 86%
rename from src/main/java/net/minecraft/core/net/packet/EntityNicknamePacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityNickname.java
index e57a34f66..0b53456c6 100644
--- a/src/main/java/net/minecraft/core/net/packet/EntityNicknamePacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityNickname.java
@@ -6,16 +6,16 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class EntityNicknamePacket extends Packet
+public class PacketEntityNickname extends Packet
 {
     public int entityId;
     public String nickname;
     public byte chatColor;
-    public EntityNicknamePacket()
+    public PacketEntityNickname()
     {
     }
 
-    public EntityNicknamePacket(int entityId, String nickname, byte chatColor)
+    public PacketEntityNickname(int entityId, String nickname, byte chatColor)
     {
         this.entityId = entityId;
         this.nickname = nickname;
diff --git a/src/main/java/net/minecraft/core/net/packet/EntityTagDataPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityTagData.java
similarity index 88%
rename from src/main/java/net/minecraft/core/net/packet/EntityTagDataPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityTagData.java
index a871bc41a..f387667b3 100644
--- a/src/main/java/net/minecraft/core/net/packet/EntityTagDataPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityTagData.java
@@ -8,15 +8,15 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class EntityTagDataPacket extends Packet {
+public class PacketEntityTagData extends Packet {
     public int entityId;
     public CompoundTag tag;
 
-    public EntityTagDataPacket() {
+    public PacketEntityTagData() {
         super();
     }
 
-    public EntityTagDataPacket(Entity entity) {
+    public PacketEntityTagData(Entity entity) {
         super();
         this.entityId = entity.id;
         this.tag = new CompoundTag();
diff --git a/src/main/java/net/minecraft/core/net/packet/ExplosionPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketExplosion.java
similarity index 94%
rename from src/main/java/net/minecraft/core/net/packet/ExplosionPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketExplosion.java
index 53d990e94..65b01f637 100644
--- a/src/main/java/net/minecraft/core/net/packet/ExplosionPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketExplosion.java
@@ -6,7 +6,7 @@ import net.minecraft.core.net.handler.PacketHandler;
 import java.io.*;
 import java.util.*;
 
-public class ExplosionPacket extends Packet
+public class PacketExplosion extends Packet
 {
 
     public double explosionX;
@@ -16,11 +16,11 @@ public class ExplosionPacket extends Packet
     public Set<ChunkPosition> destroyedBlockPositions;
     public boolean isCannonball;
 
-    public ExplosionPacket()
+    public PacketExplosion()
     {
     }
 
-    public ExplosionPacket(double d, double d1, double d2, float f, Set<ChunkPosition> set, boolean isCannonball)
+    public PacketExplosion(double d, double d1, double d2, float f, Set<ChunkPosition> set, boolean isCannonball)
     {
         explosionX = d;
         explosionY = d1;
diff --git a/src/main/java/net/minecraft/core/net/packet/FlagOpenPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketFlagOpen.java
similarity index 89%
rename from src/main/java/net/minecraft/core/net/packet/FlagOpenPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketFlagOpen.java
index 8797f400f..83f8257f4 100644
--- a/src/main/java/net/minecraft/core/net/packet/FlagOpenPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketFlagOpen.java
@@ -6,7 +6,7 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class FlagOpenPacket
+public class PacketFlagOpen
     extends Packet
 {
     public int windowId;
@@ -14,9 +14,9 @@ public class FlagOpenPacket
     public int y;
     public int z;
 
-    public FlagOpenPacket() { }
+    public PacketFlagOpen() { }
 
-    public FlagOpenPacket(int windowId, int x, int y, int z)
+    public PacketFlagOpen(int windowId, int x, int y, int z)
     {
         this.windowId = windowId;
         this.x = x;
diff --git a/src/main/java/net/minecraft/core/net/packet/GameRulePacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketGameRule.java
similarity index 90%
rename from src/main/java/net/minecraft/core/net/packet/GameRulePacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketGameRule.java
index ce75056b2..7c8f94a3c 100644
--- a/src/main/java/net/minecraft/core/net/packet/GameRulePacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketGameRule.java
@@ -9,15 +9,15 @@ import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.data.gamerule.GameRuleCollection;
 import net.minecraft.core.net.handler.PacketHandler;
 
-public class GameRulePacket
+public class PacketGameRule
     extends Packet {
     private GameRuleCollection gameRules;
 
-    public GameRulePacket() {
+    public PacketGameRule() {
         gameRules = null;
     }
 
-    public GameRulePacket(GameRuleCollection gameRules) {
+    public PacketGameRule(GameRuleCollection gameRules) {
         this.gameRules = gameRules;
     }
 
diff --git a/src/main/java/net/minecraft/core/net/packet/GuidebookPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketGuidebook.java
similarity index 87%
rename from src/main/java/net/minecraft/core/net/packet/GuidebookPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketGuidebook.java
index 2550b69ef..fab8fcd93 100644
--- a/src/main/java/net/minecraft/core/net/packet/GuidebookPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketGuidebook.java
@@ -6,13 +6,13 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class GuidebookPacket extends Packet{
+public class PacketGuidebook extends Packet{
 
-    public GuidebookPacket()
+    public PacketGuidebook()
     {
     }
 
-    public GuidebookPacket(boolean i)
+    public PacketGuidebook(boolean i)
     {
         isGuidebookOpen = i;
     }
diff --git a/src/main/java/net/minecraft/core/net/packet/InteractPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketInteract.java
similarity index 88%
rename from src/main/java/net/minecraft/core/net/packet/InteractPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketInteract.java
index e7df42227..1a3fbcb9e 100644
--- a/src/main/java/net/minecraft/core/net/packet/InteractPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketInteract.java
@@ -4,7 +4,7 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class InteractPacket extends Packet
+public class PacketInteract extends Packet
 {
     public static final int ACTION_INTERACT = 0;
     public static final int ACTION_ATTACK = 1;
@@ -13,11 +13,11 @@ public class InteractPacket extends Packet
     public int action;
 
 
-    public InteractPacket()
+    public PacketInteract()
     {
     }
 
-    public InteractPacket(int source, int target, int action)
+    public PacketInteract(int source, int target, int action)
     {
         sourceEntityID = source;
         targetEntityID = target;
diff --git a/src/main/java/net/minecraft/core/net/packet/KeepAlivePacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketKeepAlive.java
similarity index 86%
rename from src/main/java/net/minecraft/core/net/packet/KeepAlivePacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketKeepAlive.java
index 18457b2f8..cf3ffdc5d 100644
--- a/src/main/java/net/minecraft/core/net/packet/KeepAlivePacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketKeepAlive.java
@@ -4,10 +4,10 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class KeepAlivePacket extends Packet
+public class PacketKeepAlive extends Packet
 {
 
-    public KeepAlivePacket()
+    public PacketKeepAlive()
     {
     }
 
diff --git a/src/main/java/net/minecraft/core/net/packet/LoginPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketLogin.java
similarity index 91%
rename from src/main/java/net/minecraft/core/net/packet/LoginPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketLogin.java
index b86470626..5d44681bb 100644
--- a/src/main/java/net/minecraft/core/net/packet/LoginPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketLogin.java
@@ -5,7 +5,7 @@ import net.minecraft.core.net.handler.PacketHandler;
 import java.io.*;
 import java.util.UUID;
 
-public class LoginPacket extends Packet
+public class PacketLogin extends Packet
 {
     public int playerEntityIdAndProtocolVersion;
     public String username;
@@ -16,11 +16,11 @@ public class LoginPacket extends Packet
     public int packetDelay;
     public String publicKey;
 
-    public LoginPacket()
+    public PacketLogin()
     {
     }
 
-    public LoginPacket(String username, UUID uuid, int playerEntityIdOrProtocolVersion, long worldSeed, byte dimensionId, byte worldTypeId, int packetDelay, String publicKey)
+    public PacketLogin(String username, UUID uuid, int playerEntityIdOrProtocolVersion, long worldSeed, byte dimensionId, byte worldTypeId, int packetDelay, String publicKey)
     {
         this.username = username;
         this.uuid = uuid;
@@ -32,7 +32,7 @@ public class LoginPacket extends Packet
         this.publicKey = publicKey;
     }
 
-    public LoginPacket(String username, UUID uuid, int i, String publicKey)
+    public PacketLogin(String username, UUID uuid, int i, String publicKey)
     {
         this.username = username;
         this.uuid = uuid;
diff --git a/src/main/java/net/minecraft/core/net/packet/MapDataPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketMapData.java
similarity index 92%
rename from src/main/java/net/minecraft/core/net/packet/MapDataPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketMapData.java
index b0ee5176b..c441bfe2a 100644
--- a/src/main/java/net/minecraft/core/net/packet/MapDataPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketMapData.java
@@ -7,7 +7,7 @@ import java.io.*;
 import java.util.ArrayList;
 import java.util.List;
 
-public class MapDataPacket extends Packet {
+public class PacketMapData extends Packet {
 
 	public short itemId;
 	public short meta;
@@ -15,11 +15,11 @@ public class MapDataPacket extends Packet {
 	public byte[] mapData;
 	public List<MapWaypoint> waypoints;
 
-	public MapDataPacket() {
+	public PacketMapData() {
 		this.isChunkDataPacket = true;
 	}
 
-	public MapDataPacket(short itemId, short meta, byte scale, byte[] mapData, List<MapWaypoint> waypoints) {
+	public PacketMapData(short itemId, short meta, byte scale, byte[] mapData, List<MapWaypoint> waypoints) {
 		this.isChunkDataPacket = true;
 		this.itemId = itemId;
 		this.meta = meta;
diff --git a/src/main/java/net/minecraft/core/net/packet/MoveEntityPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketMoveEntity.java
similarity index 92%
rename from src/main/java/net/minecraft/core/net/packet/MoveEntityPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketMoveEntity.java
index d5cbee447..5039abcd3 100644
--- a/src/main/java/net/minecraft/core/net/packet/MoveEntityPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketMoveEntity.java
@@ -4,7 +4,7 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class MoveEntityPacket extends Packet
+public class PacketMoveEntity extends Packet
 {
     public int id;
     public byte x;
@@ -14,12 +14,12 @@ public class MoveEntityPacket extends Packet
     public byte pitch;
     public boolean rotating;
 
-    public MoveEntityPacket()
+    public PacketMoveEntity()
     {
         rotating = false;
     }
     
-    public MoveEntityPacket(int i)
+    public PacketMoveEntity(int i)
     {
         rotating = false;
         id = i;
@@ -51,7 +51,7 @@ public class MoveEntityPacket extends Packet
         return 4;
     }
 
-    public static class Pos extends MoveEntityPacket
+    public static class Pos extends PacketMoveEntity
     {
 
         public Pos()
@@ -93,7 +93,7 @@ public class MoveEntityPacket extends Packet
         }
     }
 
-    public static class Rot extends MoveEntityPacket
+    public static class Rot extends PacketMoveEntity
     {
 
         public Rot()
@@ -133,7 +133,7 @@ public class MoveEntityPacket extends Packet
             return 6;
         }
     }
-    public static class PosRot extends MoveEntityPacket
+    public static class PosRot extends PacketMoveEntity
     {
 
         public PosRot()
diff --git a/src/main/java/net/minecraft/core/net/packet/MovePlayerPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketMovePlayer.java
similarity index 93%
rename from src/main/java/net/minecraft/core/net/packet/MovePlayerPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketMovePlayer.java
index 5aea9dff7..4403909a1 100644
--- a/src/main/java/net/minecraft/core/net/packet/MovePlayerPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketMovePlayer.java
@@ -4,7 +4,7 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class MovePlayerPacket extends Packet
+public class PacketMovePlayer extends Packet
 {
     public double x;
     public double y;
@@ -14,11 +14,11 @@ public class MovePlayerPacket extends Packet
     public boolean onGround;
     public boolean hasPosition;
     public boolean hasRotation;
-    public MovePlayerPacket()
+    public PacketMovePlayer()
     {
     }
 
-    public MovePlayerPacket(boolean flag)
+    public PacketMovePlayer(boolean flag)
     {
         onGround = flag;
     }
@@ -49,7 +49,7 @@ public class MovePlayerPacket extends Packet
         return 1;
     }
 
-    public static class Rot extends MovePlayerPacket
+    public static class Rot extends PacketMovePlayer
     {
         public Rot() {
             this.hasRotation = true;
@@ -82,7 +82,7 @@ public class MovePlayerPacket extends Packet
         }
     }
 
-    public static class Pos extends MovePlayerPacket
+    public static class Pos extends PacketMovePlayer
     {
         public Pos() {
             this.hasPosition = true;
@@ -118,7 +118,7 @@ public class MovePlayerPacket extends Packet
         }
     }
 
-    public static class PosRot extends MovePlayerPacket
+    public static class PosRot extends PacketMovePlayer
     {
         public PosRot() {
             this.hasRotation = true;
diff --git a/src/main/java/net/minecraft/core/net/packet/PhotoModePacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPhotoMode.java
similarity index 87%
rename from src/main/java/net/minecraft/core/net/packet/PhotoModePacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketPhotoMode.java
index c5027acef..ddc9702a2 100644
--- a/src/main/java/net/minecraft/core/net/packet/PhotoModePacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPhotoMode.java
@@ -6,14 +6,14 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class PhotoModePacket
+public class PacketPhotoMode
     extends Packet
 {
     public boolean disabled = false;
 
-    public PhotoModePacket() { }
+    public PacketPhotoMode() { }
 
-    public PhotoModePacket(boolean disabled)
+    public PacketPhotoMode(boolean disabled)
     {
         this.disabled = disabled;
     }
diff --git a/src/main/java/net/minecraft/core/net/packet/PingHandshakePacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPingHandshake.java
similarity index 93%
rename from src/main/java/net/minecraft/core/net/packet/PingHandshakePacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketPingHandshake.java
index cbe51ed24..662f5d974 100644
--- a/src/main/java/net/minecraft/core/net/packet/PingHandshakePacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPingHandshake.java
@@ -7,7 +7,7 @@ import java.io.DataOutputStream;
 import java.io.IOException;
 import java.nio.charset.StandardCharsets;
 
-public class PingHandshakePacket
+public class PacketPingHandshake
     extends Packet {
     public static long startTime = 0;
 
@@ -18,10 +18,10 @@ public class PingHandshakePacket
     public String hostname;
     public int port;
 
-    public PingHandshakePacket() {
+    public PacketPingHandshake() {
     }
 
-    public PingHandshakePacket(int payload, int identifier, String pingHostString, int protocolVersion, String hostname, int port) {
+    public PacketPingHandshake(int payload, int identifier, String pingHostString, int protocolVersion, String hostname, int port) {
         this.payload = payload;
         this.identifier = identifier;
         this.pingHostString = pingHostString;
diff --git a/src/main/java/net/minecraft/core/net/packet/PlaySoundEffectPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlaySoundEffect.java
similarity index 87%
rename from src/main/java/net/minecraft/core/net/packet/PlaySoundEffectPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketPlaySoundEffect.java
index 8ad9cb5e3..8ec862afd 100644
--- a/src/main/java/net/minecraft/core/net/packet/PlaySoundEffectPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlaySoundEffect.java
@@ -4,14 +4,14 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class PlaySoundEffectPacket extends Packet
+public class PacketPlaySoundEffect extends Packet
 {
 
-    public PlaySoundEffectPacket()
+    public PacketPlaySoundEffect()
     {
     }
     
-    public PlaySoundEffectPacket(int soundId, int x, int y, int z, int data)
+    public PacketPlaySoundEffect(int soundId, int x, int y, int z, int data)
     {
         soundID = soundId;
         this.x = x;
diff --git a/src/main/java/net/minecraft/core/net/packet/PlaySoundEffectDirectPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlaySoundEffectDirect.java
similarity index 90%
rename from src/main/java/net/minecraft/core/net/packet/PlaySoundEffectDirectPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketPlaySoundEffectDirect.java
index 37b125ed5..ad0db67cc 100644
--- a/src/main/java/net/minecraft/core/net/packet/PlaySoundEffectDirectPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlaySoundEffectDirect.java
@@ -7,7 +7,7 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class PlaySoundEffectDirectPacket extends Packet {
+public class PacketPlaySoundEffectDirect extends Packet {
 	public int soundId;
     public SoundCategory soundType;
     public double x;
@@ -16,11 +16,11 @@ public class PlaySoundEffectDirectPacket extends Packet {
     public float volume;
     public float pitch;
 
-    public PlaySoundEffectDirectPacket()
+    public PacketPlaySoundEffectDirect()
     {
     }
 
-    public PlaySoundEffectDirectPacket(int soundId, SoundCategory soundType, double x, double y, double z, float volume, float pitch)
+    public PacketPlaySoundEffectDirect(int soundId, SoundCategory soundType, double x, double y, double z, float volume, float pitch)
     {
     	this.soundId = soundId;
         this.soundType = soundType;
diff --git a/src/main/java/net/minecraft/core/net/packet/PlayerActionPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerAction.java
similarity index 92%
rename from src/main/java/net/minecraft/core/net/packet/PlayerActionPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerAction.java
index e006a7837..2a04fb891 100644
--- a/src/main/java/net/minecraft/core/net/packet/PlayerActionPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerAction.java
@@ -7,7 +7,7 @@ import java.io.IOException;
 import net.minecraft.core.net.handler.PacketHandler;
 import net.minecraft.core.util.helper.Side;
 
-public class PlayerActionPacket extends Packet
+public class PacketPlayerAction extends Packet
 {
     public static final int ACTION_DIG_START = 0;
     public static final int ACTION_DIG_CONTINUED = 1;
@@ -26,11 +26,11 @@ public class PlayerActionPacket extends Packet
     public int action;
 
 
-    public PlayerActionPacket()
+    public PacketPlayerAction()
     {
     }
 
-    public PlayerActionPacket(int action, int x, int y, int z, Side side, double xHit, double yHit)
+    public PacketPlayerAction(int action, int x, int y, int z, Side side, double xHit, double yHit)
     {
         this.action = action;
         xPosition = x;
diff --git a/src/main/java/net/minecraft/core/net/packet/PlayerGamemodePacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerGamemode.java
similarity index 84%
rename from src/main/java/net/minecraft/core/net/packet/PlayerGamemodePacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerGamemode.java
index 648b70cea..a64162b85 100644
--- a/src/main/java/net/minecraft/core/net/packet/PlayerGamemodePacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerGamemode.java
@@ -4,14 +4,14 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class PlayerGamemodePacket extends Packet
+public class PacketPlayerGamemode extends Packet
 {
 
-    public PlayerGamemodePacket()
+    public PacketPlayerGamemode()
     {
     }
     
-    public PlayerGamemodePacket(int entityId, int gamemodeId)
+    public PacketPlayerGamemode(int entityId, int gamemodeId)
     {
         this.entityId = entityId;
         this.gamemodeId = gamemodeId;
diff --git a/src/main/java/net/minecraft/core/net/packet/PlayerListPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerList.java
similarity index 90%
rename from src/main/java/net/minecraft/core/net/packet/PlayerListPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerList.java
index 476ca8e46..04cfc9de4 100644
--- a/src/main/java/net/minecraft/core/net/packet/PlayerListPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerList.java
@@ -6,7 +6,7 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class PlayerListPacket extends Packet {
+public class PacketPlayerList extends Packet {
 	public static final int MAX_SCORE_STRING_SIZE = 256;
 	public String[] players;
 	/**
@@ -15,11 +15,11 @@ public class PlayerListPacket extends Packet {
 	public String[] scores;
 	public int count;
 	
-	public PlayerListPacket() {
+	public PacketPlayerList() {
 		
 	}
 
-	public PlayerListPacket(int playerCount, String[] players, String[] scores) {
+	public PacketPlayerList(int playerCount, String[] players, String[] scores) {
 		this.count = playerCount;
 		this.players = players;
 		this.scores = scores;
diff --git a/src/main/java/net/minecraft/core/net/packet/PreLoginPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPreLogin.java
similarity index 86%
rename from src/main/java/net/minecraft/core/net/packet/PreLoginPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketPreLogin.java
index 12a411e8f..7462f0c42 100644
--- a/src/main/java/net/minecraft/core/net/packet/PreLoginPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPreLogin.java
@@ -4,16 +4,16 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class PreLoginPacket extends Packet
+public class PacketPreLogin extends Packet
 {
     public String username;
 
 
-    public PreLoginPacket()
+    public PacketPreLogin()
     {
     }
 
-    public PreLoginPacket(String s)
+    public PacketPreLogin(String s)
     {
         username = s;
     }
diff --git a/src/main/java/net/minecraft/core/net/packet/RecipeSyncPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketRecipeSync.java
similarity index 87%
rename from src/main/java/net/minecraft/core/net/packet/RecipeSyncPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketRecipeSync.java
index 98e234ffb..7233ea9d2 100644
--- a/src/main/java/net/minecraft/core/net/packet/RecipeSyncPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketRecipeSync.java
@@ -8,17 +8,17 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class RecipeSyncPacket extends Packet {
+public class PacketRecipeSync extends Packet {
 
     public String recipe;
     public long maxRecipes;
 
-    public RecipeSyncPacket(RecipeEntryBase<?,?,?> recipe, long maxRecipes) {
+    public PacketRecipeSync(RecipeEntryBase<?,?,?> recipe, long maxRecipes) {
         this.recipe = DataLoader.serializeRecipe(recipe);
         this.maxRecipes = maxRecipes;
     }
 
-    public RecipeSyncPacket(){}
+    public PacketRecipeSync(){}
 
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/packet/RemoveEntityPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketRemoveEntity.java
similarity index 84%
rename from src/main/java/net/minecraft/core/net/packet/RemoveEntityPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketRemoveEntity.java
index c3ba39c60..1ce01d896 100644
--- a/src/main/java/net/minecraft/core/net/packet/RemoveEntityPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketRemoveEntity.java
@@ -4,14 +4,14 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class RemoveEntityPacket extends Packet
+public class PacketRemoveEntity extends Packet
 {
 
-    public RemoveEntityPacket()
+    public PacketRemoveEntity()
     {
     }
     
-    public RemoveEntityPacket(int i)
+    public PacketRemoveEntity(int i)
     {
         entityId = i;
     }
diff --git a/src/main/java/net/minecraft/core/net/packet/RequestCommandManagerPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketRequestCommandManager.java
similarity index 85%
rename from src/main/java/net/minecraft/core/net/packet/RequestCommandManagerPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketRequestCommandManager.java
index d7b9e4f2d..0edb80462 100644
--- a/src/main/java/net/minecraft/core/net/packet/RequestCommandManagerPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketRequestCommandManager.java
@@ -6,18 +6,18 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class RequestCommandManagerPacket extends Packet {
+public class PacketRequestCommandManager extends Packet {
     public String username;
     public String text;
     public int cursor;
 
-    public RequestCommandManagerPacket(String username, String text, int cursor) {
+    public PacketRequestCommandManager(String username, String text, int cursor) {
         this.username = username;
         this.text = text;
         this.cursor = cursor;
     }
 
-    public RequestCommandManagerPacket() {
+    public PacketRequestCommandManager() {
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/packet/RespawnPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketRespawn.java
similarity index 87%
rename from src/main/java/net/minecraft/core/net/packet/RespawnPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketRespawn.java
index ff35f4a2d..a1b53779e 100644
--- a/src/main/java/net/minecraft/core/net/packet/RespawnPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketRespawn.java
@@ -4,17 +4,17 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class RespawnPacket extends Packet
+public class PacketRespawn extends Packet
 {
     public byte respawnDimensionId;
     public byte respawnWorldTypeId;
 
 
-    public RespawnPacket()
+    public PacketRespawn()
     {
     }
 
-    public RespawnPacket(byte respawnDimensionId, byte respawnWorldTypeId)
+    public PacketRespawn(byte respawnDimensionId, byte respawnWorldTypeId)
     {
         this.respawnDimensionId = respawnDimensionId;
         this.respawnWorldTypeId = respawnWorldTypeId;
diff --git a/src/main/java/net/minecraft/core/net/packet/SetCarriedItemPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetCarriedItem.java
similarity index 83%
rename from src/main/java/net/minecraft/core/net/packet/SetCarriedItemPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketSetCarriedItem.java
index 02453eb7f..a53b53bb8 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetCarriedItemPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetCarriedItem.java
@@ -4,14 +4,14 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class SetCarriedItemPacket extends Packet
+public class PacketSetCarriedItem extends Packet
 {
 
-    public SetCarriedItemPacket()
+    public PacketSetCarriedItem()
     {
     }
 
-    public SetCarriedItemPacket(int i)
+    public PacketSetCarriedItem(int i)
     {
         id = i;
     }
diff --git a/src/main/java/net/minecraft/core/net/packet/SetEntityDataPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEntityData.java
similarity index 87%
rename from src/main/java/net/minecraft/core/net/packet/SetEntityDataPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEntityData.java
index c4290d9eb..b656c3cef 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetEntityDataPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEntityData.java
@@ -6,14 +6,14 @@ import net.minecraft.core.world.data.SynchedEntityData;
 import java.io.*;
 import java.util.List;
 
-public class SetEntityDataPacket extends Packet
+public class PacketSetEntityData extends Packet
 {
 
-    public SetEntityDataPacket()
+    public PacketSetEntityData()
     {
     }
     
-    public SetEntityDataPacket(int i, SynchedEntityData datawatcher)
+    public PacketSetEntityData(int i, SynchedEntityData datawatcher)
     {
         entityId = i;
         packedItems = datawatcher.packDirty();
